<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Exemplos de Boostrap</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    </head>
    <body>

 <style type="text/css">
            .tr_impar{
                background-color: #dbdbdb ; 
            }

            .tr_par{
                background-color: antiquewhite;
            }
            .negrito_branco{
                color: white;
                font-weight: bolder;
            }
            .esconder{
                display: none ; 
            }

            .not_found{
                text-align: center ; 
                color: red; 
                font-weight: bolder; 
                background-color: #ffffff;
                font-size: 20pt;
            }




        </style>




        <script type="text/javascript">
            $('document').ready(function () {
                $('tbody tr:even').addClass('tr_par');
                $('tbody tr:odd').addClass('tr_impar');
            });



            function imprimir() {


                var linhas = $('body tr');

                for (var i = 0; i < linhas.length; i++) {
                    $(linhas[i]).css('display', 'none');
                }


            }


            function pesquisar() {

                $('#msg').text('');
                $('.not_found').css('display', 'none');
                var txtPesquisa = $('#txtPesquisa').val().trim().toUpperCase();
                if (txtPesquisa !== '') {
                    var linhas = $('body tr');
                    linhas.removeClass('esconder');
                    for (var i = 0; i < linhas.length - 1; i++) {
                        if (txtPesquisa !== linhas[i].cells[1].innerText.toUpperCase()) {
                            $(linhas[i]).addClass('esconder');
                        }
                    }
                    if (linhas.length - 1 === $('.esconder').length) {
                        $('.not_found').css('display', '');
                    }
                } else {
                    $('#msg').text('Favor Informar parametro para pesquisa!');
                    $('body tr').removeClass('esconder');
                }
            }
        </script>





        <h1>Bootstrap</h1>
      
        <br /> 
        <br /> 
    <center>
        Classe: <input id="txtPesquisa" type="text" name="" value="" /> 
        <input type="button" onclick="pesquisar();" value="Pesquisar" />  <span id="msg" style="margin-left: 20px ;  color: red; font-weight: bolder"></span>

    </center>
    <br> 
    <br>


    <center>
        <table id="customers" border="1" >
            <thead>
                <tr bgcolor="#dbdbdb">
                    <th>Codigo</th>
                    <th>Classe</th>
                    <th>Descrição</th>
                    <th>Link</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>01</td>
                    <td>.text-warning</td>

                    <td>A .wellclasse adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento:</td>

                    <td><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well&stacked=h" target="_blank">Exemplo</a>
                    </td>
                </tr>

                <tr bgcolor="#dbdbdb">
                    <td>02</td>
                    <td>.well-lg</td>
                    <td>A .wellclasse adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                    </td>
                    <td><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well_size&stacked=h" target="_blank">Exemplo</a>
                    </td>
                </tr>

                <tr>
                    <td>03</td>
                    <td>.well</td>
                    <td>A .wellclasse adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                    </td>
                    <td>
                        <a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well&stacked=h" target="_blank">Exemplo</a>
                    </td>
                </tr>

                <tr bgcolor="#dbdbdb">
                    <td>04</td>
                    <td>.warning</td>
                    <td>O Bootstrap fornece uma maneira fácil de criar mensagens de alerta predefinidas</td>
                    <td>
                        <a href="https://www.w3schools.com/w3css/tryit.asp?filename=tryw3css_alerts" target="_blank">Exemplo</a>
                    </td>  
                </tr>

                <tr>
                    <td>05</td>
                    <td>.hidden-print</td>
                    <td>Suportamos propositalmente apenas um subconjunto de todos os valores possíveis para display.</td>
                    <td><a href="https://getbootstrap.com.br/docs/4.0/utilities/display/" target="_blank">Exemplo</a></td> 
                </tr>

                <tr bgcolor="#dbdbdb">
                    <td>06</td>
                    <td>.visible-*</td>
                    <td>utilitários de visibilidade</td>
                    <td><a href="https://www.w3schools.com/cssref/tryit.asp?filename=trycss_visibility" target="_blank">Exemplo</a></td> 
                </tr>

                <tr>
                    <td>07</td>
                    <td>.tooltip</td>
                    <td>Faz um comentario sobre o texto</td>
                    <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_tooltip" target="_blank">Exemplo</a></td> 
                </tr>

                <tr bgcolor="#dbdbdb">
                    <td>08</td>
                    <td>.thumbnail</td>
                    <td>Em combinação com atributos de dados, você pode criar uma imagem em miniatura, com título e descrição usando apenas uma única linha de código HTML. </td>
                    <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_thumbnail_image" target="_blank">Exemplo</a>
                    </td> 
                </tr>

                <tr>
                    <td>09</td>
                    <td>.thumbnail</td>
                    <td>classe adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento</td>
                    <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_thumbnail_image" target="_blank">Exemplo</a></td> 
                </tr>

                <tr bgcolor="#dbdbdb">
                    <td>10</td>
                    <td>.text-warning</td>
                    <td>classe adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento</td>
                    <td><a href="https://www.w3schools.com/bootstrap4/tryit.asp?filename=trybs_txt_colors&stacked=h">Exemplo</a></td> 

                </tr>
                
                      <tr>
                    <td 
                        colspan="4" 
                        class="not_found"
                        style="display: none;"
                        >
                        Não foram encontados resultados !!!
                    </td>
                </tr>
                
            </tbody>
        </table>

    </center>
</body>

</html>